## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-valkey
Version:        6.1.0b2
Release:        %autorelease
Summary:        The Python interface to the Valkey key-value store
License:        MIT
URL:            https://github.com/valkey-io/valkey-py
Source:         %{url}/archive/v%{version}/python-valkey-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  valkey
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(pytest-timeout)
BuildRequires:  python3dist(cachetools)

%global _description %{expand:
This is a Python interface to the Valkey key-value store.}

%description %_description

%package -n     python3-valkey

Summary:        %{summary}

%description -n python3-valkey %_description

This is a Python 3 interface to the Valkey key-value store.


%prep
%autosetup -p1 -n valkey-py-%{version}
# Upstream pins this dependency, but we need to be more flexible.
sed -e '/ocsp/ s/pyopenssl==/pyopenssl>=/' \
    -i setup.py


%generate_buildrequires
# pyOpenSSL version on Fedora prior to 41 is 23.2.0
# while ocsp extra requires >= 23.2.1
%if 0%{?fedora} >= 41
%pyproject_buildrequires -x ocsp
%endif
%if 0%{?fedora} < 41
%pyproject_buildrequires
%endif


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files valkey


%check
# pyOpenSSL version on Fedora prior to 41 is 23.2.0
# while ocsp extra requires >= 23.2.1
%if 0%{?fedora} >= 41
%pyproject_check_import
%endif
%if 0%{?fedora} < 41
%pyproject_check_import -e valkey.ocsp
%endif

echo 'enable-module-command yes' | valkey-server --port 6379 --enable-debug-command yes - &
%pytest -m 'not onlycluster and not redismod and not ssl' -k 'not get_from_cache and not test_cache_decode_response[sentinel_setup0] and not psync and not test_geopos and not geosearch and not georadius'
kill %1


%files -n python3-valkey -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Tue Feb 11 2025 Matteo Centenaro <matteo.centenaro@aiven.io> - 6.1.0b2-1
- Bump to version 6.1.0b2 (rhbz#2341234)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Sep 13 2024 Matteo Centenaro <matteo.centenaro@aiven.io> - 6.0.2-1
- Bump to version 6.0.2 (rhbz#2312049)

* Thu Sep 12 2024 Matteo Centenaro <matteo.centenaro@aiven.io> - 6.0.1-3
- Skip ocsp extra for Fedora release prior to F41

* Tue Sep 10 2024 Carl George <carlwgeorge@fedoraproject.org> - 6.0.1-2
- Reduce explicit build requirements

* Tue Sep 10 2024 Matteo Centenaro <matteo.centenaro@aiven.io> - 6.0.1-1
- Bump to 6.0.1

* Wed Aug 14 2024 Matteo Centenaro <matteo.centenaro@aiven.io> - 6.0.0-1
- Bump to 6.0.0

* Tue Jul 30 2024 Matteo Centenaro <matteo.centenaro@aiven.io> - 6.0.0b1-1
- Bump to 6.0.0b1

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.0b7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 09 2024 Matteo Centenaro <matteo.centenaro@aiven.io> - 5.1.0b7-3
- Use -k for keyword expression test filtering in pytest

* Tue Jul 09 2024 Matteo Centenaro <matteo.centenaro@aiven.io> - 5.1.0b7-2
- Some geo-related commands tests are failing due to precision errors,
  skipping those as of now

* Mon Jul 08 2024 Matteo Centenaro <matteo.centenaro@aiven.io> - 5.1.0b7-1
- Initial import (fedora#2295898)
## END: Generated by rpmautospec
